﻿using SciChart.Charting3D.Model;
using SciChart.Drawing.Utility;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Media;

namespace DataPointSelectionModifier
{
    internal class PointMetadata3DEx: PointMetadata3D
    {
      public PointMetadata3DEx(Color? vertexColor = null, float pointScale = 1f, bool isSelected = false, object tag = null)
        :base(vertexColor, pointScale, isSelected, tag)
      {

      }

      public Point ScreenPoint1 { get; set; }
      public string ScreenPoint1String => $"[{ScreenPoint1.X};{ScreenPoint1.Y}]-d to mouse p: {Distance1}";
      public Point ScreenPoint2 { get; set; }
      public string ScreenPoint2String => $"[{ScreenPoint2.X};{ScreenPoint2.Y}]-d to mouse p: {Distance2}";
      public Point LastMousePoint { get; set; }
      public string LastMousePointString => $"[{(int)LastMousePoint.X};{(int)LastMousePoint.Y}]";
      public Point MousePointTranslated { get; set; }
      public string MousePointTranslatedString => $"[{(int)LastMousePoint.X};{(int)LastMousePoint.Y}]";
      public string Distance1 => $"{(int)PointUtil.Distance(ScreenPoint1, MousePointTranslated)}";
      public string Distance2 => $"{(int)PointUtil.Distance(ScreenPoint2, MousePointTranslated)}";

      public bool IsInScene { get; set; }
      

    }
}
